CREATE TABLE fco_embargos_rep
(
  id_rep      smallint NOT NULL,
  usuariow	  varchar2(30) NOT NULL,
  cod_rep     number(3) NOT NULL,  
  compania    char(4) NOT NULL,
  trabajador          char(10) NOT NULL,
  concepto            smallint NOT NULL,
  secuencia           smallint NOT NULL,
  apellido_demandante varchar2(20) NULL,
  nombre_demandante   varchar2(20) NULL,
  apellidos_trab      varchar2(20) NULL,
  nombres_trab        varchar2(20) NULL,
  agr_conceptos_base  char(3) NULL,
  concepto_base       smallint NULL,
  quinta_parte        smallint NULL,
  monto_total         number(14,2) NULL,
  saldo_actual        number(14,2) NULL,
  porcentaje          number(4,2) NULL,
  cuota_fija          number(14,2) NULL,
  nombre_cia          varchar2(60) NULL,
  agr1        varchar2(10) NULL,
  dato1       varchar2(10) NULL,
  desc1	      varchar2(40) NULL,
  agr2        varchar2(10) NULL,
  dato2       varchar2(10) NULL,
  desc2       varchar2(40) NULL,
  agr3        varchar2(10) NULL,
  dato3       varchar2(10) NULL,
  desc3	      varchar2(40) NULL,
  CONSTRAINT PK_fco_embargos_rep PRIMARY KEY 
  (id_rep, usuariow, cod_rep, compania, trabajador, concepto, secuencia) 
	USING INDEX TABLESPACE TS_ADAMINDICES  
)
TABLESPACE TS_ADAMDATOS;

CREATE PUBLIC SYNONYM fco_embargos_rep FOR ADAM.fco_embargos_rep;
GRANT ALL ON fco_embargos_rep TO ADAMA;
